Subject: bug#53909: closed (Re: bug#53909: [PATCH 0/4] 'guix pull -l' no longer displays package lists by default)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Feb 2022 14:58:03 +0000

Your bug report

#53909: [PATCH 0/4] 'guix pull -l' no longer displays package lists by default

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53909: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53909
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53909: [PATCH 0/4] 'guix pull -l' no longer displays package lists by default
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Feb 2022 15:56:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> skribis:

> On Wed, 09 Feb 2022 at 23:17, Ludovic Courtès <[email-masked]> wrote:
>
>> * guix/scripts/pull.scm (show-help, %options): Add "--details".
>
> IMHO, the commit online header should reflect that.

Right, fixed.

> Well, "guix pull --details" pulls; which I find annoying.  Instead, I
> propose to silently runs "guix pull --details -l", see this diff:
>
> diff --git a/guix/scripts/pull.scm b/guix/scripts/pull.scm
> index 707f1f0929..fb1dd6c82c 100644
> --- a/guix/scripts/pull.scm
> +++ b/guix/scripts/pull.scm
> @@ -142,7 +142,9 @@ (define %options
>                           result)))
>           (option '("details") #f #f
>                   (lambda (opt name arg result)
> -                   (alist-cons 'details? #t result)))
> +                   (alist-cons 'details? #t
> +                               (cons '(query list-generations #f)
> +                                     result))))

It’s a bit more complicated since you don’t want to override previous
‘-l’ arguments, but I did that.

> Last, about this change…
>
>> -  (define (no-arguments arg _‌)
>> +  (define (no-arguments arg _)
>
> …it a Git twist?  I miss what changed––my whitespace mode is badly
> configured?

There’s a ZERO WIDTH NON-JOINER above; you can see it with a trick I
recently learned: (set-face-background 'glyphless-char "red").

:-)

Anyway, pushed:

  054ec2e242 pull: '--list-generations' pipes its output to the pager.
  5b6e31b020 ui: 'display-generation' uses color when talking to a pager.
  7ffcee1937 ui: 'with-paginated-output-port' gives access to the wrapped port.
  b9df2e2b4d pull: '--list-generations' lists packages only with '--details'.

Thanks!

Ludo’.

Subject: [PATCH 0/4] 'guix pull -l' no longer displays package lists by default
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Wed, 9 Feb 2022 23:12:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

The other day on IRC zimoun noted that ‘guix pull -l’ doesn’t work for
them because it prints those long package lists, which incidentally
makes it slower.

This series changes ‘guix pull -l’ so that by default it only prints
channel info and news:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix pull -l
Generation 192       Oct 25 2021 00:12:47
  guix b5f45a2
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: b5f45a21c27b80210753e184e52708bb75a347bb
Generation 193       Oct 25 2021 21:29:18
  guix b0735c7
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: b0735c79b0d1d34117ec36d5dc5f14a3f9392bc1

News for channel 'guix'
  New `guix shell' command supersedes `guix environment'
    commit 746584e0ca200e7bf51b139ceb36c19ea81d6ef1

    A new `guix shell' command is now available.  It is similar to `guix environment', but with a
    more convenient interface (`guix environment' is deprecated but will remain available until
    May, 1st 2023).  The main difference compared to `guix environment' is that the "ad hoc" mode
    is the default.  Thus, to create an interactive environment containing Python, NumPy, and
    SciPy, you would run:
    
         guix shell python python-numpy python-scipy
    
    To get a development environment for, say, Inkscape, pass the `-D' flag:
    
         guix shell -D inkscape
    
    Another difference is that running `guix shell' without arguments loads `manifest.scm' or
    `guix.scm' for the current directory or an ancestor, provided you allowed it.  The command
    maintains a cache to speed up access to such environments.
    
    Run `info "(guix) Invoking guix shell"' for more information.

Generation 194       Nov 07 2021 23:40:30
  guix bd41e59
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: bd41e590dd24e54797fb8b6854c244efd4d12df5
--8<---------------cut here---------------end--------------->8---

One can pass ‘--details’ to get view new/upgraded packages:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix pull --detail -l
Generation 192       Oct 25 2021 00:12:47
  guix b5f45a2
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: b5f45a21c27b80210753e184e52708bb75a347bb
Generation 193       Oct 25 2021 21:29:18
  guix b0735c7
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: b0735c79b0d1d34117ec36d5dc5f14a3f9392bc1
  3 new packages: lttng-tools, vim-gitgutter, vim-mucomplete
  7 packages upgraded: [email-masked], [email-masked], [email-masked],
    [email-masked], [email-masked], [email-masked], [email-masked]

News for channel 'guix'
  New `guix shell' command supersedes `guix environment'
--8<---------------cut here---------------end--------------->8---

Last, ‘guix pull -l’ pipes its output to $PAGER by default.

Thoughts?

Ludo’.

Ludovic Courtès (4):
  pull: '--list-generations' doesn't list package changes by default.
  ui: 'with-paginated-output-port' gives access to the wrapped port.
  ui: 'display-generation' uses color when talking to a pager.
  pull: '--list-generations' pipes its output to the pager.

 doc/guix.texi         | 15 +++++++++------
 guix/scripts/pull.scm | 35 +++++++++++++++++++++++++++--------
 guix/ui.scm           | 24 ++++++++++++++++++++++--
 3 files changed, 58 insertions(+), 16 deletions(-)

-- 
2.34.0